## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class FolderPropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                          org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore
                              org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceEditorPage
                                  org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.FolderPropertyPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

    public class FolderPropertyPage

extends DataSourceEditorPage

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`FolderPropertyPage()`

Method Summary
`java.util.Properties` `collectCustomProperties(java.util.Properties profileProps)` Returns data source properties and corresponding values collected in custom page(s).

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSourceEditorPage
`getOdaDataSourceId`

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.DataSourceEditorPageCore
`createControl, dispose, getDataSourceProperties, getEditSessionResponse, initEditSession, initProfileSelectionEditSession, isInOdaDesignSession, performOk, refresh, setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, getConnectionProfile`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### FolderPropertyPage

    public FolderPropertyPage()

Method Detail

### collectCustomProperties

    public java.util.Properties collectCustomProperties(java.util.Properties profileProps)

  Description copied from class: `DataSourceEditorPage`
  Returns data source properties and corresponding values collected in custom page(s).

  Specified by:
    `collectCustomProperties` in class `DataSourceEditorPage`
  Parameters:
    `profileProps` - the current set of custom and inherited properties, before any updates in this page
  Returns:
    the updated data source properties and corresponding values